%def_disable static
%def_enable shared
%def_disable debug
%def_disable profile
%def_disable final
%def_disable rpath
%def_with pic

%def_disable embedded
%def_disable qtopia
%def_disable mac
%def_enable mt
%def_enable threading
%def_without arts
#----------------------------------------------------------------------
%define set_disable() %{expand:%%force_disable %{1}} %{expand:%%undefine _enable_%{1}}
%define set_enable() %{expand:%%force_enable %{1}} %{expand:%%undefine _disable_%{1}}
%define set_with() %{expand:%%force_with %{1}} %{expand:%%undefine _with_%{1}}
%define set_without() %{expand:%%force_without %{1}} %{expand:%%undefine _with_%{1}}
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}
%define subst_with_to() %{expand:%%{?_with_%{1}:--with-%{2}}} %{expand:%%{?_without_%{1}:--without-%{2}}}

%{?_disable_static:%set_enable shared}

%ifarch x86_64
%set_with pic
%endif

Name: knoda
%define lname libhk_kdeclasses
Version: 0.8.3
%define prerel %nil
Release: alt1
Group: Databases
Summary: Database frontend for KDE based on hk_classes
URL: http://%name.org
License: GPL
Source: %name-%version%prerel.tar.bz2
Requires: %lname = %version

# Automatically added by buildreq on Sat Jul 22 2006
BuildRequires: gcc-c++ libfreetype-devel
BuildRequires: libjpeg-devel libmagic-devel libpng-devel libXext-devel
BuildRequires: libXrender-devel libXt-devel python-dev qt3-designer
BuildRequires: libxml2-devel xml-utils xorg-cf-files
BuildRequires: kdelibs-devel >= 3.2
BuildRequires: libhk_classes-devel >= 0.8.2
%{?_with_arts:BuildRequires: libarts-devel}

%description
%name allows you to:
  * define and delete databases;
  * create, alter and delete tables and indices;
  * add, change and delete data in tables;
  * define, execute and store sql queries;
  * import and export CSV data;
  * define and use forms; and
  * define reports with PostScript, HTML or user defined output (coming
    next).
Its driver concept allows a uniform connection to different database
servers.


%package -n %lname
Group: System/Libraries
Summary: Database classes for %name

%description -n %lname
The hk_kdeclasses are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible. You need
also a database driver to run applications. A driver for MySQL is
included in this library and will be automatically installed if
configure finds a working mysql installation on your computer.


%package -n %lname-devel
Group: Development/C++
Summary: Development files for %lname

%description -n %lname-devel
The hk_kdeclasses are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible. You need
also a database driver to run applications. A driver for MySQL is
included in this library and will be automatically installed if
configure finds a working mysql installation on your computer.
This package contains headers and other development files for
%lname.


%if_enabled static
%package -n %lname-devel-static
Group: Development/C++
Summary: Static libraries files for %lname

%description -n %lname-devel-static
The hk_kdeclasses are a set of non-visual routines which allow you to
develop database frontend applications as easy as possible. You need
also a database driver to run applications. A driver for MySQL is
included in this library and will be automatically installed if
configure finds a working mysql installation on your computer.
This package contains static libraries for %lname.
%endif


%prep
%setup -q -n %name-%version%prerel


%build
%undefine __libtoolize
%configure \
    %{subst_with pic} \
    %{subst_enable rpath} \
%if_enabled debug
    --enable-debug=full \
%else
    --disable-debug \
%endif
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_enable profile} \
    --disable-pch \
    %{subst_enable embedded} \
    %{subst_enable qtopia} \
    %{subst_enable mac} \
    %{subst_enable mt} \
    %{subst_enable treading} \
    %{subst_with arts} \
    %{subst_enable final} 

%make_build


%install
%make DESTDIR=%buildroot install
rm -rf %buildroot%_datadir/applnk
install -pD -m 0644 %name/%name.desktop %buildroot/%_desktopdir/kde/%name.desktop
iconv -f cp1251 -t utf-8 >> %buildroot/%_desktopdir/kde/%name.desktop <<__MENU__
Version=1.0
Comment[uk]=   
Comment[ru]=   
__MENU__
bzip2 --best --keep --force -- ChangeLog
%find_lang --with-kde %name


%post
%update_menus


%postun
%clean_menus


%post -n %lname -p %post_ldconfig
%postun -n %lname -p %post_ldconfig


%files -f %name.lang
%doc README AUTHORS ChangeLog.*
%_bindir/*
%_datadir/apps/%name
%_desktopdir/kde/
%_miconsdir/*
%_niconsdir/*
%_iconsdir/locolor/*/apps/*


%files -n %lname
%doc README AUTHORS
%_datadir/apps/hk_kdeclasses
%_datadir/services/hk_kde*.desktop
%_datadir/config/magic/*.magic
%_datadir/mimelnk/application/*.desktop
%_libdir/*.so
%_libdir/kde3/*.so
%_libdir/kde3/*.la


%files -n %lname-devel
%doc ChangeLog.*
%_includedir/*.h


%if_enabled static
%files -n %lname-devel-static
%_libdir/*.a
%_libdir/kde3/*.a
%endif


%changelog
* Mon Dec 18 2006 Led <led@altlinux.ru> 0.8.3-alt1
- 0.8.3 (bugfix release)

* Mon Oct 30 2006 Led <led@altlinux.ru> 0.8.2-alt1
- 0.8.2 release

* Mon Oct 09 2006 Led <led@altlinux.ru> 0.8.2-alt0.3
- 0.8.2-test3
- removed uk.po and %name-0.8.1-uk.patch (in upstream now)

* Fri Sep 08 2006 Led <led@altlinux.ru> 0.8.2-alt0.2
- 0.8.2-test2

* Wed Aug 16 2006 Led <led@altlinux.ru> 0.8.1-alt2
- fixed BuildRequires

* Wed Aug 16 2006 Led <led@altlinux.ru> 0.8.1-alt1
- 0.8.1
- fixed spec
- added uk.po and %name-0.8.1-uk.patch
- fixed BuildRequires

* Fri Jun 10 2005 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.4-alt0.1.test2
- 0.7.4-test2

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.7.2-alt1.1
- Rebuilt with libstdc++.so.6.

* Sun Dec 12 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.2-alt1
- 0.7.2

* Sun Jul 18 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt1
- 0.7-releaze
- fix builrequires

* Thu Jun 10 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt0.3.test2
- fix requires

* Tue Jun 08 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt0.2.test2
- fix BuildPreReq
- 0.7-test2

* Thu Jun 03 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt0.1.test1
- fix builrequires
- 0.7-test1

* Thu Apr 01 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.3-alt0.2.test3
- fix builrequires
- 0.6.3-test3

* Thu Nov 06 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.1-alt1
- 0.6.1
- new builrequires and rebuilding in hasher

* Fri May 09 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6-alt2
- fix requires

* Wed May 07 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6-alt1
- 0.6

* Mon Feb 03 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.6-alt3
- fix requires

* Sun Jan 26 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.6-alt2
- new location for drivers

* Thu Jan 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.6-alt1
- 0.5.6

* Wed Nov 27 2002 AEN <aen@altlinux.ru> 0.5.5-alt3
- spec fixed

* Wed Nov 27 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.5-alt2
- fix Obsoletes Requires BuildRequires
- remove Serial before putting into Sisyphus

* Tue Nov 26 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1:0.5.5-alt1
- 0.5.5

* Sun Oct 13 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.4-alt1
- 0.5.4

* Thu Sep 19 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.3-alt2
- build with gcc3.2

* Thu Jul 25 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.3-alt1
- 0.5.3

* Sat Jun 4 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.2-alt1
- 0.5.1

* Thu Jan 03 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.4.3-alt0.1
- 0.4.3
- specfile cleanup
